Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## groovy.lang
[Java] Annotation Type PackageScope

    java.lang.Object
      groovy.lang.PackageScope

    @Retention(RetentionPolicy.RUNTIME)
    @Target({ElementType.TYPE, ElementType.FIELD})
    @GroovyASTTransformationClass("org.codehaus.groovy.transform.PackageScopeASTTransformation")
    public @interface PackageScope

Class or field annotation used for turning off Groovy's auto property conversion of default or package scoped fields. Place it on the field(s) of interest or on the class to apply for all package-scoped fields. This transformation is normally only used in conjunction with a third-party library or framework which already uses package scoping.

Authors:
  Paul King

Method Summary

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Copyright © 2003-2010 The Codehaus. All rights reserved.